package com.zaojiao.app.data.repo

import kotlinx.coroutines.flow.Flow

enum class LoginState { IN, OUT }

interface LoginRepository {
    val state: Flow<LoginState>

    fun loginBySms(phone: String, code: String)

    fun loginByWechat(code: String)

    fun loginByOneClick(code: String)

    fun logout()
}